Bug 213778 - RFE: add the rpmls script
RFE: add the rpmls script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
http://www.fedoraproject.org/wiki/Ext...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 17:42 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 15:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Latest version of rpmls.sh (267 bytes, text/plain)
2006-11-05 17:12 EST, Ville Skyttä
no flags Details

  None (edit)
Description Chris Weyl 2006-11-02 17:42:14 EST
rpmls is a very useful little script that lets one quickly get a sense of what
files are in a rpm, and more importantly, what their permissions are.  I find it
quite useful when packaging/reviewing, for instance.

Any chance it can be included in rpmdevtools?

http://www.fedoraproject.org/wiki/Extras/UsefulScripts#head-615940a58178091d79ae361fb01c93717fd84664
Comment 1 Ville Skyttä 2006-11-05 17:12:53 EST
Created attachment 140424 [details]
Latest version of rpmls.sh

Yep, I guess it would be useful.  Here's my local version of it which adds
support for checking directly from URLs as well as adds a "-l" option for
including user/group info in the output.
Comment 2 Fedora Update System 2007-07-09 11:45:37 EDT
rpmdevtools-5.4-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-07-20 15:36:26 EDT
rpmdevtools-5.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.